eStringToStringMapEntry = qm.EntityType.eAnnotations[0].details[0]
eStringToStringMapEntry.value = "An entity type is a type of element which is part of the software product \r\nor which is a resource required during development, maintenance and \r\nuse of a software product. A generalization/specialization (is-a) relation \r\nbetween entity types forms the entity type hierarchy."
eStringToStringMapEntry2 = qm.EntityType.characterizedBy.eAnnotations[0].details[0]
eStringToStringMapEntry2.value = "The properties by which this entity type is characterized"
eStringToStringMapEntry3 = qm.EntityType.isA.eAnnotations[0].details[0]
eStringToStringMapEntry3.value = "The parent entity type in the entity type hierarchy"
eStringToStringMapEntry4 = qm.EntityType.subEntityTypes.eAnnotations[0].details[0]
eStringToStringMapEntry4.value = "The children entity types in the entity type hierarchy"
eStringToStringMapEntry5 = qm.Property.eAnnotations[0].details[0]
eStringToStringMapEntry5.value = "Properties are general attributes that are used to characterize entity \r\ntypes. Properties enable a clear separation between the parts of a \r\nsoftware product (and further entities) and their attributes that influence \r\nquality. Properties can and should be reused, i.e. a single property can \r\nbe used for characterizing a number of entity types. Furthermore, an \r\nentity type can be characterized by a number of properties, leading to \r\ndifferent factors. "
eStringToStringMapEntry6 = qm.Property.factors.eAnnotations[0].details[0]
eStringToStringMapEntry6.value = "The factors which characterize an entity type by this property"
eStringToStringMapEntry7 = qm.Factor.eAnnotations[0].details[0]
eStringToStringMapEntry7.value = "A factor associates a property to an entity type. A factor influences at \r\nleast one quality aspect, which is specified by an impact for each \r\ninfluenced quality aspect. The factor can be quantified by a number of \r\nmeasures. We do not evaluate the factor, but rather the impact on a \r\ncertain quality aspect, as the evaluation depends on the influenced \r\nquality aspect. Factors are one of the basic building blocks of quality \r\nmodels. They help to concretize quality requirements by specifying on a \r\nmore detailed level what properties of entity types are important for \r\nspecific quality aspects."
eStringToStringMapEntry8 = qm.Factor.impacts.eAnnotations[0].details[0]
eStringToStringMapEntry8.value = "The impacts of this factor on quality aspects"
eStringToStringMapEntry9 = qm.Factor.property.eAnnotations[0].details[0]
eStringToStringMapEntry9.value = "The property of this factor"
eStringToStringMapEntry10 = qm.Factor.measuredBy.eAnnotations[0].details[0]
eStringToStringMapEntry10.value = "The measures by which this factor is measured"
characterizesReference = qm.Factor.characterizes
eAnnotation = characterizesReference.newEAnnotation()
eAnnotation.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry11 = eAnnotation.newEStringToStringMapEntry()
eStringToStringMapEntry11.key = "documentation"
eStringToStringMapEntry11.value = "The entity type which this factor characterizes"
eStringToStringMapEntry12 = qm.Impact.eAnnotations[0].details[0]
eStringToStringMapEntry12.value = "An impact defines an influence of a factor on a quality aspect. The effect \r\nof the influence can be either positive or negative. The influence a factor \r\nhas on a quality aspect is quantified by a single evaluation, which is \r\ntermed impact evaluation. Each impact needs to specify in an explicit \r\njustification why the factor has an impact on the quality aspect. To \r\nensure that the model contains only relevant impacts, this description of \r\nthe justification is vital for the impact."
eStringToStringMapEntry13 = qm.Impact.justification.eAnnotations[0].details[0]
eStringToStringMapEntry13.value = "The justification of this impact"
evaluatedByReference = qm.Impact.evaluatedBy
eAnnotation2 = evaluatedByReference.newEAnnotation()
eAnnotation2.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry14 = eAnnotation2.newEStringToStringMapEntry()
eStringToStringMapEntry14.key = "documentation"
eStringToStringMapEntry14.value = "The evaluation by which this impact is evaluated"
factorsReference = qm.Impact.factors
eAnnotation3 = factorsReference.newEAnnotation()
eAnnotation3.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry15 = eAnnotation3.newEStringToStringMapEntry()
eStringToStringMapEntry15.key = "documentation"
eStringToStringMapEntry15.value = "The factors which have this impact on the quality aspect"
eStringToStringMapEntry16 = qm.QualityAspect.eAnnotations[0].details[0]
eStringToStringMapEntry16.value = "A quality aspect describes a focus that is addressed by the quality \r\nmodel. A quality aspect can be decomposed into sub aspects resulting in \r\nthe so-called aspect hierarchy. As a quality model might focus on \r\ndifferent orthogonal quality aspects, several quality aspect hierarchies \r\nare allowed and the metamodel does not prescribe a specific one."
eStringToStringMapEntry17 = qm.QualityAspect.influencedBy.eAnnotations[0].details[0]
eStringToStringMapEntry17.value = "The impacts by which this quality aspect is influenced"
evaluatedByReference2 = qm.QualityAspect.evaluatedBy
eAnnotation4 = evaluatedByReference2.newEAnnotation()
eAnnotation4.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry18 = eAnnotation4.newEStringToStringMapEntry()
eStringToStringMapEntry18.key = "documentation"
eStringToStringMapEntry18.value = "The evaluation by which this quality aspect is evaluated"
qualityRequirementClass = qm.QualityRequirement
eAnnotation5 = qualityRequirementClass.newEAnnotation()
eAnnotation5.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry19 = eAnnotation5.newEStringToStringMapEntry()
eStringToStringMapEntry19.key = "documentation"
eStringToStringMapEntry19.value = "Following ISO 9126, quality requirements specify the required level of \r\nquality. In the metamodel defined by this document, it can be expressed \r\nmore precisely because it is usually specified only textually. Using the \r\nmetamodel a quality requirement is refined to a set of factors with their \r\nimpact on quality aspects. Hence, it has an association to impacts that in \r\nturn provides factors and quality aspects. In order to become a \r\ncomplete quality requirement, thresholds for the associated impact \r\nevaluations are specified."
impactsReference = qm.QualityRequirement.impacts
eAnnotation6 = impactsReference.newEAnnotation()
eAnnotation6.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry20 = eAnnotation6.newEStringToStringMapEntry()
eStringToStringMapEntry20.key = "documentation"
eStringToStringMapEntry20.value = "The impacts into which this quality requirement is refined"
eStringToStringMapEntry21 = qm.Measure.eAnnotations[0].details[0]
eStringToStringMapEntry21.value = "A measure quantifies a factor by defining a method to measure it using \r\na certain scale. Measures can be reused for the quantification of \r\ndifferent factors. Furthermore, a factor can be quantified by different \r\nmeasures enabling a more profound evaluation."
measuresReference = qm.Measure.measures
eAnnotation7 = measuresReference.newEAnnotation()
eAnnotation7.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry22 = eAnnotation7.newEStringToStringMapEntry()
eStringToStringMapEntry22.key = "documentation"
eStringToStringMapEntry22.value = "The factors which this measure measures"
usedByReference = qm.Measure.usedBy
eAnnotation8 = usedByReference.newEAnnotation()
eAnnotation8.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry23 = eAnnotation8.newEStringToStringMapEntry()
eStringToStringMapEntry23.key = "documentation"
eStringToStringMapEntry23.value = "The impact evalutations by which this measure is used"
impactEvaluationClass = qm.ImpactEvaluation
eAnnotation9 = impactEvaluationClass.newEAnnotation()
eAnnotation9.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry24 = eAnnotation9.newEStringToStringMapEntry()
eStringToStringMapEntry24.key = "documentation"
eStringToStringMapEntry24.value = "A measure quantifies a factor by defining a method to measure it using \r\na certain scale. Measures can be reused for the quantification of \r\ndifferent factors. Furthermore, a factor can be quantified by different \r\nmeasures enabling a more profound evaluation."
eStringToStringMapEntry24.value = "An impact evaluation evaluates the influence one factor or more factors \r\nin combination have on a quality aspect. The quality model specifies \r\nexactly one evaluation for each impact. The impact evaluation is based \r\non the measures associated to the factors. It has to consider all defined \r\nmeasures for its factors. For these measures, the measurement data \r\nfor all entities are aggregated. The result of the evaluation is an impact \r\nevaluation result, which is a value on an ordinal scale."
usesReference = qm.ImpactEvaluation.uses
eAnnotation10 = usesReference.newEAnnotation()
eAnnotation10.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry25 = eAnnotation10.newEStringToStringMapEntry()
eStringToStringMapEntry25.key = "documentation"
eStringToStringMapEntry25.value = "The measures which this evaluation uses"
evaluatesReference = qm.ImpactEvaluation.evaluates
eAnnotation11 = evaluatesReference.newEAnnotation()
eAnnotation11.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry26 = eAnnotation11.newEStringToStringMapEntry()
eStringToStringMapEntry26.key = "documentation"
eStringToStringMapEntry26.value = "The impact which this evaluation evaluates"
qualityAspectEvaluationClass = qm.QualityAspectEvaluation
eAnnotation12 = qualityAspectEvaluationClass.newEAnnotation()
eAnnotation12.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry27 = eAnnotation12.newEStringToStringMapEntry()
eStringToStringMapEntry27.key = "documentation"
eStringToStringMapEntry27.value = "An aspect evaluation evaluates a certain quality aspect. The quality \r\nmodel specifies exactly one evaluation for each quality aspect. The \r\naspect evaluation is based on the evaluation of the impacts that \r\ninfluence the quality aspect as well as lower-level quality aspects."
evaluatesReference2 = qm.QualityAspectEvaluation.evaluates
eAnnotation13 = evaluatesReference2.newEAnnotation()
eAnnotation13.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry28 = eAnnotation13.newEStringToStringMapEntry()
eStringToStringMapEntry28.key = "documentation"
eStringToStringMapEntry28.value = "The quality aspect which this evaluation evaluates"
moduleClass = qm.Module
eAnnotation14 = moduleClass.newEAnnotation()
eAnnotation14.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry29 = eAnnotation14.newEStringToStringMapEntry()
eStringToStringMapEntry29.key = "documentation"
eStringToStringMapEntry29.value = "Modules allow decomposing a large quality model into smaller, dedicated \r\nchunks. All model elements are associated with exactly one module. The \r\nrelations between model elements can be established across module \r\nboundaries."
eStringToStringMapEntry30 = qm.Module._properties.eAnnotations[0].details[0]
eStringToStringMapEntry30.value = "The list of properties defined by this module"
requirementsReference = qm.Module.requirements
eAnnotation15 = requirementsReference.newEAnnotation()
eAnnotation15.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry31 = eAnnotation15.newEStringToStringMapEntry()
eStringToStringMapEntry31.key = "documentation"
eStringToStringMapEntry31.value = "The root entity types defined by this module"
eStringToStringMapEntry31.value = "The quality requirements defined by this module"
eStringToStringMapEntry32 = qm.Module.entities.eAnnotations[0].details[0]
eStringToStringMapEntry32.value = "The root entity types of the entity type hierarchy defined by this module"
eStringToStringMapEntry33 = qm.Module.aspects.eAnnotations[0].details[0]
eStringToStringMapEntry33.value = "The root quality aspects of the aspect hierarchy defined by this module"
measuresReference2 = qm.Module.measures
eAnnotation16 = measuresReference2.newEAnnotation()
eAnnotation16.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry34 = eAnnotation16.newEStringToStringMapEntry()
eStringToStringMapEntry34.key = "documentation"
eStringToStringMapEntry34.value = "The measures defined by this module"
eStringToStringMapEntry35 = qm.DescribedElement.eAnnotations[0].details[0]
eStringToStringMapEntry35.value = "A described element is an annotated element that can have a description."
modulesReference = qm.QualityModel.modules
eAnnotation17 = modulesReference.newEAnnotation()
eAnnotation17.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry36 = eAnnotation17.newEStringToStringMapEntry()
eStringToStringMapEntry36.key = "documentation"
eStringToStringMapEntry36.value = "The modules defined by this quality model"
eStringToStringMapEntry37 = qm.QualityModel.eAnnotations[0].details[0]
eStringToStringMapEntry37.value = "A quality model specifies the quality of a software product in a way that \r\nit can be used in a number of scenarios, e.g. to assess the quality of the \r\nsoftware product, to improve the quality of the software product, and \r\nso on."
eStringToStringMapEntry38 = qm.NamedElement.eAnnotations[0].details[0]
eStringToStringMapEntry38.value = "A named element is a described element with a name. The name must be\r\nunique among the elements which are on the same level of hierarchy in\r\nthe model."
eStringToStringMapEntry39 = qm.NamedElement._name.eAnnotations[0].details[0]
eStringToStringMapEntry39.value = "The name of this element"
annotatedElementClass = qm.AnnotatedElement
eAnnotation18 = annotatedElementClass.newEAnnotation()
eAnnotation18.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry40 = eAnnotation18.newEStringToStringMapEntry()
eStringToStringMapEntry40.key = "documentation"
eStringToStringMapEntry40.value = "An annotated element can have a number of annotations which are key-\r\nvalue-pairs."
annotationsReference = qm.AnnotatedElement.annotations
eAnnotation19 = annotationsReference.newEAnnotation()
eAnnotation19.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry41 = eAnnotation19.newEStringToStringMapEntry()
eStringToStringMapEntry41.key = "documentation"
eStringToStringMapEntry41.value = "The key-value-pairs defined by this annotated element"
stringToStringMapClass = qm.StringToStringMap
eAnnotation20 = stringToStringMapClass.newEAnnotation()
eAnnotation20.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry42 = eAnnotation20.newEStringToStringMapEntry()
eStringToStringMapEntry42.key = "documentation"
eStringToStringMapEntry42.value = "A key-value-pair."
keyAttribute = qm.StringToStringMap.key
eAnnotation21 = keyAttribute.newEAnnotation()
eAnnotation21.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry43 = eAnnotation21.newEStringToStringMapEntry()
eStringToStringMapEntry43.key = "documentation"
eStringToStringMapEntry43.value = "The key"
valueAttribute = qm.StringToStringMap.value
eAnnotation22 = valueAttribute.newEAnnotation()
eAnnotation22.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry44 = eAnnotation22.newEStringToStringMapEntry()
eStringToStringMapEntry44.key = "documentation"
eStringToStringMapEntry44.value = "The value"
